GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
byte_buffer_queue.c File Reference
`#include "src/core/surface/byte_buffer_queue.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/useful.h>`

## Functions
void | grpc_bbq_destroy (grpc_byte_buffer_queue *q)
int | grpc_bbq_empty (grpc_byte_buffer_queue *q)
void | grpc_bbq_push (grpc_byte_buffer_queue *q, grpc_byte_buffer *buffer)
void | grpc_bbq_flush (grpc_byte_buffer_queue *q)
size_t | grpc_bbq_bytes (grpc_byte_buffer_queue *q)
grpc_byte_buffer * | grpc_bbq_pop (grpc_byte_buffer_queue *q)

## Function Documentation

size_t grpc_bbq_bytes | ( | grpc_byte_buffer_queue * | q | ) |

void grpc_bbq_destroy | ( | grpc_byte_buffer_queue * | q | ) |

int grpc_bbq_empty | ( | grpc_byte_buffer_queue * | q | ) |

void grpc_bbq_flush | ( | grpc_byte_buffer_queue * | q | ) |

grpc_byte_buffer* grpc_bbq_pop | ( | grpc_byte_buffer_queue * | q | ) |

void grpc_bbq_push | ( | grpc_byte_buffer_queue * | q,
|  | grpc_byte_buffer * | buffer
| ) |  |